Subject: bug#50067: Context menus

From: Juri Linkov <[email-masked]>
Date: Fri, 20 Aug 2021 10:31:07 +0300

>> Yes it works for elisp, because its xref backend is simplistic enough to
>> just accept the symbol given as argument. An example of a package where
>> it doesn't work is merlin which is rather more sophisticated and wants to
>> find the exact context so that it can find the right definition, so it
>> ignores the argument.
>
> Having actually read the doc strings I see that xref backends are supposed
> to define `xref-backend-identifier-at-point` which can stuff any
> information it needs in a property of the string it returns, as sort of
> a semi-covert channel to `xref-backend-definitions` etc. Sorry about the
> unfounded complaint.
>
> Would adding `xref-find-references-at-mouse` be handy for use in the context menu?

If the existing `xref-backend-identifier-at-point` can't be reused
by adding a new optional arg `click`, then a cleaner solution
would be to add `xref-backend-identifier-at-mouse` indeed.